import { Logger } from "../utils";
import { AddressListAdapter } from "./types";
export * as adapters from "./adapters";
export declare class AddressAggregator {
    readonly adapters: AddressListAdapter[];
    protected readonly logger?: Logger | undefined;
    constructor(adapters: AddressListAdapter[], logger?: Logger | undefined);
    static sources(): string[];
    update(): Promise<Set<string>>;
}
